<template>
  <base-card>
    <h5>Filtrer les services : </h5>
    <span class="filter-option">
      <input type="checkbox" id="inventore" checked @change="setFilter" />
      <label for="inventore">inventore</label>
    </span>
    <span class="filter-option">
      <input type="checkbox" id="officia" checked @change="setFilter" />
      <label for="officia">officia</label>
    </span>
    <span class="filter-option">
      <input type="checkbox" id="voluptas" checked @change="setFilter" />
      <label for="voluptas">voluptas</label>
    </span>
  </base-card>
</template>

<script>
export default {
  emits: ['change-filter'],
  data() {
    return {
      filters: {
        inventore: true,
        officia: true,
        voluptas: true
      }
    };
  },
  methods: {
    setFilter(event) {
      const inputId = event.target.id;
      const isActive = event.target.checked;
      const updatedFilters = {
        ...this.filters,
        [inputId]: isActive
      };
      this.filters = updatedFilters;
      this.$emit('change-filter', updatedFilters);
    }
  }
}
</script>

<style scoped>
h5 {
  margin: 0.5rem 0;
}

.filter-option {
  margin-right: 1rem;
}

.filter-option label,
.filter-option input {
  vertical-align: middle;
}

.filter-option label {
  margin-left: 0.25rem;
}

.filter-option.active label {
  font-weight: bold;
}
</style>